library(stockassessment)
setwd("run")
load("data.RData")
conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)
par<-defpar(dat,conf)
rho = 0.999999 
par$itrans_rho = -log(2/(1+rho)-1)/2
fit<-sam.fit(dat,conf,par, map = list(itrans_rho = as.factor(NA))) # fix catch selectivity to be the same (rho=1)
if(fit$opt$convergence!=0) stop("Model did not converge.")
save(fit, file="model.RData")

# Optional: running simulations
# cat("Running simulations")
# nsim <- 1000
# set.seed(123)
# fit2    <- sam.fit(fit$data, fit$conf, fit$obj$env$par)
# runs    <- simstudy(fit2, nsim=nsim)
# save(runs, file="runs.RData")
# save(fit2, file="model2.RData")